[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'contnrs' (#fcl)

# TQueue

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Pointer queue

## Declaration

Source position: contnrs.pp line 165

`type TQueue = class(TOrderedList)`
`end;`

## Inheritance

`TQueue` |  | Pointer queue
`TOrderedList` |  | Base class for queues and stacks.
`TObject`

## Description

TQueue is a descendent of TOrderedList which implements Push and Pop behaviour as a queue: what is first pushed on the queue, is popped of first (FIFO: First in, first out).

TQueue offers no new methods, it merely implements some abstract methods introduced by TOrderedList

## See also

TOrderedList |  | Base class for queues and stacks.
TObjectQueue
TStack |  | Pointer Stack

Documentation generated on: Feb 26 2014